Bug 498740 - No sound on Intel ICH7/HDA & various pulseaudio errors
No sound on Intel ICH7/HDA & various pulseaudio errors
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-02 13:04 EDT by Patrick
Modified: 2009-05-05 12:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-05 12:18:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick 2009-05-02 13:04:37 EDT
Description of problem:
The sound on my laptop with Intel HDA/ICH7 does not work at all. Tried different apps (Rhythmbox, Audacity, Audacious) to run music in ogg and flac formats. Checking /var/log/messages I found the errors below. Suggestions howto further analyze this problem and fix it is most appreciated.

Version-Release number of selected component (if applicable):
pulseaudio-0.9.15-11.fc11.x86_64

How reproducible:
Install the F11 Preview & update to Rawhide. Start laptop, work a while with it and then check /var/log/messages

Steps to Reproduce:
1. Install F11 Preview & update to Rawhide
2. work with laptop for a while
3. check /var/log/messages
  
Actual results:
May  1 04:10:08 localhost pulseaudio[30460]: reserve-wrap.c: Failed to acquire reservation lock on device 'Audio0': Input/output error

May  1 12:52:21 localhost pulseaudio[2455]: alsa-sink.c: ALSA woke us up to write new data to the device, but there was actually nothing to write!

May  1 12:52:21 localhost pulseaudio[2455]: alsa-sink.c: Most likely this is a bug in the ALSA driver 'snd_hda_intel'. Please report this issue to the ALSA developers.

May  1 12:52:21 localhost pulseaudio[2455]: alsa-sink.c: We were woken up with POLLOUT set -- however a subsequent snd_pcm_avail() returned 0 or another value < min_avail.

May  1 13:02:47 localhost pulseaudio[2455]: module-rescue-streams.c: Failed to move source output 6 "PulseAudio Volume Control" to auto_null.monitor.

May  1 13:02:47 localhost pulseaudio[2455]: reserve-wrap.c: Failed to acquire reservation lock on device 'Audio0': Input/output error

May  1 13:02:51 localhost pulseaudio[2455]: module-rescue-streams.c: Failed to move source output 9 "PulseAudio Volume Control" to alsa_input.pci_8086_27d8_sound_card_0.

Expected results:
Sound and no errors

Additional info:
Comment 1 Patrick 2009-05-03 09:40:39 EDT
I did some more searching on bz and followed the advice in bug 477935. I started alsamixer with 

$ alsamixer -c0

Then I turned up all the non-microphone related sliders making sure that none of them were muted. And voila sound is back. So please consider the "no sound on Intel ICH7/HDA" part of this bugreport as erroneous. Sorry for the noise. Maybe the pulseaudio errors are still somehow useful.
Comment 2 Lennart Poettering 2009-05-05 12:18:14 EDT
Hmm, those errors are mostly not that relevant. Your driver is buggy, but that's known and will hopefully be fixed eventually. Nothing too serious.

Please follow the suggestions here:

http://forums.fedoraforum.org/showpost.php?p=1206905&postcount=14

This will allow us to make sure that in future the mixer is configured properly by default for machines like yours.

Note You need to log in before you can comment on or make changes to this bug.